Patchwork systemd.bbclass: fix bb.error

login
register
mail settings
Submitter Martin Jansa
Date Feb. 27, 2013, 5:46 p.m.
Message ID <1361987211-19783-1-git-send-email-Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/45233/
State Accepted
Commit 36a2bae816b1abf776d0f1a2b6b2c3d9a861a4ca
Headers show

Comments

Martin Jansa - Feb. 27, 2013, 5:46 p.m.
NOTE: recipe avahi-ui-0.6.31-r7.0: task do_package: Started
ERROR: %s does not appear in package list, please add it avahi-ui-daemon
ERROR: %s does not appear in package list, please add it avahi-ui-dnsconfd

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta/classes/systemd.bbclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Khem Raj - Feb. 27, 2013, 9:47 p.m.
On Wed, Feb 27, 2013 at 9:46 AM, Martin Jansa <martin.jansa@gmail.com> wrote:
> NOTE: recipe avahi-ui-0.6.31-r7.0: task do_package: Started
> ERROR: %s does not appear in package list, please add it avahi-ui-daemon
> ERROR: %s does not appear in package list, please add it avahi-ui-dnsconfd
>

IIRC there already is a patch floating around on ml which fixes it.

> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
> ---
>  meta/classes/systemd.bbclass | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/meta/classes/systemd.bbclass b/meta/classes/systemd.bbclass
> index 00865ed..564cd72 100644
> --- a/meta/classes/systemd.bbclass
> +++ b/meta/classes/systemd.bbclass
> @@ -53,7 +53,7 @@ python systemd_populate_packages() {
>      def systemd_check_package(pkg_systemd):
>          packages = d.getVar('PACKAGES', True)
>          if not pkg_systemd in packages.split():
> -            bb.error('%s does not appear in package list, please add it', " " + pkg_systemd)
> +            bb.error('%s does not appear in package list, please add it' % pkg_systemd)
>
>
>      # Add a runtime dependency on systemd to pkg
> --
> 1.8.1.4
>
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core
Martin Jansa - March 1, 2013, 9:24 a.m.
On Wed, Feb 27, 2013 at 01:47:00PM -0800, Khem Raj wrote:
> On Wed, Feb 27, 2013 at 9:46 AM, Martin Jansa <martin.jansa@gmail.com> wrote:
> > NOTE: recipe avahi-ui-0.6.31-r7.0: task do_package: Started
> > ERROR: %s does not appear in package list, please add it avahi-ui-daemon
> > ERROR: %s does not appear in package list, please add it avahi-ui-dnsconfd
> >
> 
> IIRC there already is a patch floating around on ml which fixes it.

I was thinking the same, but then I wasn't able to find it in my ML
archive, so I created this one (expecting that what I've seen on ML
before was something else).

FWIW: neither fix was included in "[CONSOLIDATED PULL 00/40] Post-ELC
Patches and Updates" so Saul probably haven't seen it too.

> > Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
> > ---
> >  meta/classes/systemd.bbclass | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/meta/classes/systemd.bbclass b/meta/classes/systemd.bbclass
> > index 00865ed..564cd72 100644
> > --- a/meta/classes/systemd.bbclass
> > +++ b/meta/classes/systemd.bbclass
> > @@ -53,7 +53,7 @@ python systemd_populate_packages() {
> >      def systemd_check_package(pkg_systemd):
> >          packages = d.getVar('PACKAGES', True)
> >          if not pkg_systemd in packages.split():
> > -            bb.error('%s does not appear in package list, please add it', " " + pkg_systemd)
> > +            bb.error('%s does not appear in package list, please add it' % pkg_systemd)
> >
> >
> >      # Add a runtime dependency on systemd to pkg
> > --
> > 1.8.1.4
> >
> >
> > _______________________________________________
> > Openembedded-core mailing list
> > Openembedded-core@lists.openembedded.org
> > http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/classes/systemd.bbclass b/meta/classes/systemd.bbclass
index 00865ed..564cd72 100644
--- a/meta/classes/systemd.bbclass
+++ b/meta/classes/systemd.bbclass
@@ -53,7 +53,7 @@  python systemd_populate_packages() {
     def systemd_check_package(pkg_systemd):
         packages = d.getVar('PACKAGES', True)
         if not pkg_systemd in packages.split():
-            bb.error('%s does not appear in package list, please add it', " " + pkg_systemd)
+            bb.error('%s does not appear in package list, please add it' % pkg_systemd)
 
 
     # Add a runtime dependency on systemd to pkg